#ifndef __COMPLEX_H__
#define __COMPLEX_H__

class Complex
{
public:

  /* Default constructor. */
  Complex();
  
  /* Constructor creating a real number. */
  Complex(double real);
  
  /* Constructor creating a full complex number. */
  Complex(double real, double imag);

  /* Destructor. */
  ~Complex(void);

  /* Returns the real component. */
  double getReal();

  /* Returns the imaginary component. */
  double getImag();


private:
  /* Holds the real component. */
  double _real;

  /* Holds the imaginary component. */
  double _imag;
};

#endif
