#include <iostream>
#include "Complex2.h"

using namespace std;

void printCount()
{
  cout << "Created " << Complex2::getCount() << " complex number(s) so far." << endl;
}


int main(void)
{
  // Creating
  Complex2* N1 = new Complex2();
  printCount();
  Complex2* N2 = new Complex2(13.3);
  printCount();
  Complex2* N3 = new Complex2(7.8,34.1);
  printCount();

  // Displaying
  cout << endl << "We have the following numbers:" << endl;
  cout << "- Real:" << N1->getReal() << " Imag:" << N1->getImag() << endl;
  cout << "- Real:" << N2->getReal() << " Imag:" << N2->getImag() << endl;
  cout << "- Real:" << N3->getReal() << " Imag:" << N3->getImag() << endl;

  // Adding using the method with reference argument
  cout << endl << "Adding using the method with reference argument:" << endl;
  N1->add( *N2 );
  cout << "- N1+N2 => Real:" << N1->getReal() << " Imag:" << N1->getImag() << endl;
  printCount();

  // Adding using the method with reference argument
  cout << endl << "Adding using the method WITHOUT reference argument:" << endl;
  N2->add2( *N3 );
  cout << "- N2+N3 => Real:" << N2->getReal() << " Imag:" << N2->getImag() << endl;
  printCount();

  // Deleting 
  delete N1;
  delete N2;
  delete N3;

  cout << endl;

  return 0;
}
