#include "Complex2.h"

/* Initialization of the static member variable. */
int Complex2::_count = 0;



Complex2::Complex2() : _real(0.0), _imag(0.0)
{ 
  _count++;
}

Complex2::Complex2(double real): _real(real), _imag(0.0)
{ 
  _count++;
}

Complex2::Complex2(double real, double imag): _real(real), _imag(imag)
{ 
  _count++;
}

Complex2::~Complex2(void)
{ 
  _count++;
}

double Complex2::getReal()
{
  return _real;
}

double Complex2::getImag()
{
  return _imag;
}

int Complex2::getCount()
{
  return _count;
}

Complex2& Complex2::add(const Complex2 &c)
{
  _real+=c._real;
  _imag+=c._imag;
}

Complex2& Complex2::add2(const Complex2 c)
{
  _real+=c._real;
  _imag+=c._imag;
}
